<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title>DemocraticAnt</title> <!--TODO: Fill in by JS-->

    <!-- Storage Controller -->
    <script src="storage.js" defer></script>

    <!--TODO: Modal Controller-->
    
    <!-- Main Game Logic Script -->
    <script src="script.js" defer></script>


    <!-- Main Style Sheet -->
    <link rel="stylesheet" href="style.css">

    <!-- Font -->
    <link href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap" rel="stylesheet">

    <!-- Icons -->
    <link href="https://cdn.jsdelivr.net/npm/remixicon@2.5.0/fonts/remixicon.css" rel="stylesheet">
</head>
<body>
    <div id="page">
        <div id="mainTitleContainer">
            <div class="horizontalContainer">
                <div class="mainTitleButton" id=""><i class="ri-user-fill"></i></div>
                <div class="mainTitleButton" id=""><i class="ri-currency-fill"></i></div>
            </div>
            <div id="mainTitle"> <!-- FILLED IN BY JS --> </div>
            <div class="horizontalContainer">
                <div class="mainTitleButton" id="statisticsButton"><i class="ri-bar-chart-fill"></i></div>
                <div class="mainTitleButton" id="endTermButton"> <i class="ri-play-fill"></i></div>
            </div>
        </div>

        <div class="entity small" style="background-image: linear-gradient(to right, var(--color-accent) 67%, var(--color-background-alt) 0%)">
            <div class="entityName">Month 42/52 (10 months until next election)</div>
        </div>

        <div class="entity large" style="background-image: linear-gradient(to right, var(--color-problem) 90%, var(--color-good) 0%)">
            <div class="entityName">Surpluss: ​<b>10.7 B$</b>​ ​(24 B$ income, 13.3 B$ of running costs)</div>
        </div>

        <div class="divider"></div>

        <div id="categoryWrapper">
            <div class="categoryCard" id="EconomyCard">
                <div class="title"><i class="ri-coins-fill"></i> Economy</div>

                <!-- Static Things -->
                <div class="entityContainer">
                    <div class="entity" style="background: linear-gradient(to right, var(--color-warning) 55%, var(--color-background-dark) 0%);">
                        <div class="entityName"><i class="ri-user-fill"></i> Productivity</div>
                    </div>
                    <div class="entity" style="background: linear-gradient(to right, var(--color-good) 87%, var(--color-background-dark) 0%)">
                        <div class="entityName"><i class="ri-global-fill"></i> GDP</div>
                    </div>
                    <div class="entity" style="background: linear-gradient(to right, var(--color-good) 80%, var(--color-background-dark) 0%);">
                        <div class="entityName"><i class="ri-building-3-fill"></i> Production</div>
                    </div>
                </div>

                <div class="divider"></div>

                <!-- Campaigns -->
                <div class="entityContainer">
                    <div class="entity" style="background: linear-gradient(to right, var(--color-accent) 67%, var(--color-background-dark) 0%);">
                        <div class="entityName"><i class="ri-store-3-fill"></i> Small Business Campaign</div>
                    </div>
                </div>

                <div class="divider"></div>

                <!-- Events/Imports  -->
                <div class="entityContainer">
                    <div class="entity event" style="background: linear-gradient(to right, var(--color-problem) 87%, var(--color-background-dark) 0%);">
                        <div class="entityName"><i class="ri-auction-fill"></i> Market Collapse</div>
                    </div>
                </div>
            </div>

            <div class="categoryCard" id="TechnologyCard">
                <div class="title"><i class="ri-microscope-fill"></i> Technology</div>
                
                <div class="entityContainer">
                    <div class="entity" style="background: linear-gradient(to right, var(--color-warning) 65%, var(--color-background-dark) 0%);">
                        <div class="entityName"><i class="ri-microscope-fill"></i> Technological Superiority</div>
                    </div>
                </div>

                <div class="divider"></div>

                <!-- Campaigns -->
                <div class="entityContainer">
                    <div class="entity" style="background: linear-gradient(to right, var(--color-accent) 48%, var(--color-background-dark) 0%);">
                        <div class="entityName"><i class="ri-rocket-2-fill"></i> Space Program</div>
                    </div>
                    <div class="entity" style="background: linear-gradient(to right, var(--color-accent) 12%, var(--color-background-dark) 0%);">
                        <div class="entityName"><i class="ri-currency-fill"></i> Research Lab Subsidies</div>
                    </div>
                    <div class="entity" style="background: linear-gradient(to right, var(--color-accent) 77%, var(--color-background-dark) 0%);">
                        <div class="entityName"><i class="ri-microscope-fill"></i> LIGO Construction</div>
                    </div>
                </div>

                <div class="divider"></div>

                <!-- Events/Imports -->
                <div class="entityContainer">
                    <div class="entity event" style="background: linear-gradient(to right, var(--color-good) 100%, var(--color-background-dark) 0%);">
                        <div class="entityName"><i class="ri-auction-fill"></i> Market Collapse</div>
                    </div>
                </div>
            </div>

            <div class="categoryCard" id="HealthCard">
                <div class="title">Health</div>
            </div>
            <div class="categoryCard" id="EducationCard">
                <div class="title">Education</div>
            </div>
        </div>
    </div>
</body>
</html>